Page MenuHomePhabricator

Fixed-position headers/footers obscure last elements of OOUI dropdowns
Closed, ResolvedPublic

Description


Roan says this is due to the debug toolbar using a fixed position which is incompatible with ClippableElement.

Event Timeline

Legoktm created this task.Jul 16 2015, 9:42 PM
Legoktm raised the priority of this task from to Needs Triage.
Legoktm updated the task description. (Show Details)
Legoktm added subscribers: Legoktm, matmarex, Catrope.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 16 2015, 9:42 PM

Could be resolved with some z-index fiddling, probably.

Could be resolved with some z-index fiddling, probably.

Actually not really, because the dropdown and the debug toolbar and in different z-index scopes. I'm not sure if spending time on this is worth it.

matmarex triaged this task as Lowest priority.Aug 24 2015, 3:12 PM

This is getting more annoying because Echo's flyout now uses ClippableElement, so most of the footer is obscured :(

matmarex claimed this task.Oct 24 2017, 5:36 PM

With the fix for T158934: Automatically change popup direction if there is no space (dropdowns can now open upwards), a similar issue is also visible in the demo with our fixed header. There might be similar issues in VE with its fixed header. So I think we'll need to resolve this first.

(Potentially also affects skins with a fixed header, like Timeless.)

matmarex renamed this task from debug toolbar obscures last element in OOUI namespace dropdown on Special:LinkSearch to Fixed-position headers/footers obscure last elements of OOUI dropdowns.Oct 24 2017, 5:39 PM
matmarex raised the priority of this task from Lowest to Normal.

Change 386414 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[oojs/ui@master] [WIP] Allow adding virtual viewport "margins"

https://gerrit.wikimedia.org/r/386414

Change 386414 merged by jenkins-bot:
[oojs/ui@master] Allow adding virtual viewport spacing

https://gerrit.wikimedia.org/r/386414

Change 394078 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/core@master] mw.debug: Avoid overlap between debug toolbar and OOUI dropdowns

https://gerrit.wikimedia.org/r/394078

Change 394078 merged by jenkins-bot:
[mediawiki/core@master] mw.debug: Avoid overlap between debug toolbar and OOUI dropdowns

https://gerrit.wikimedia.org/r/394078

Any other places we want to apply this, or can we call it Resolved?

matmarex closed this task as Resolved.Nov 30 2017, 5:13 PM
matmarex removed a project: Patch-For-Review.

We can have separate tasks for those, if any.